// @ts-nocheck
import styled from 'styled-components'

export default function Section (props) {
  const { gap, title } = props

  return <Wrapper>
    <Title>{title}</Title>
    <Contents gap={gap}>
      {props.children}
    </Contents>
  </Wrapper>
}

const Wrapper = styled.section`
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 80px 0;
`
const Title = styled.h1`
  font-size: 4rem;
  font-weight: 700;
`
const Contents = styled.div`
    display: flex;
    justify-content: center;
    align-items: center;
    gap: ${props => props.gap};
`
